/// <reference types="react" />
import "./styles.module.css";
import { ReactDashboardPM } from './types/Dashboard';
import { ReactWidgetPM } from './types/widget';
import { DashboardDataBinding } from './types/DashboardDataBinding';
import { DataPointSelection } from './types/SeriesMeasure';
declare type DashboardProps = {
    token: string;
    tenant: number;
    userId: string;
    dataBinding: DashboardDataBinding;
    openAddEditWidget: (widget: ReactWidgetPM | undefined) => void;
    openAddEditDashboard: (dashboard: ReactDashboardPM | undefined) => void;
    onChangeDashboard: (dashboard: ReactDashboardPM | undefined) => void;
    onSaveDashboard: (dashboard: ReactDashboardPM | undefined) => void;
    onSelectDataPoint: (dataPointSelection: DataPointSelection) => void;
};
declare const Dashboard: (props: DashboardProps) => JSX.Element;
export default Dashboard;
